<nav class="navbar navbar-expand-lg navbar-light bg-light main-navigation">
  <div class="container-fluid">
    <img class="logo-img" src="../../assets/img/logo.png" alt="logo">
    <a class="navbar-brand text-black-50 header-brand-text" href="/">{{'site.title' | translate}}</a>
    <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse"
            data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false"
            aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarResponsive">
      <ul class="navbar-nav ml-auto">
        <li class="nav-item">
          <a class="nav-link" routerLink="/">{{ 'main' | translate }}</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" routerLink="/help">{{ 'advocacy' | translate }}</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" routerLink="/legal-aid">{{ 'legal-aid' | translate }}</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" routerLink="/contacts">{{ 'contacts' | translate }}</a>
        </li>
        <select
          class="custom-select custom-select-sm header-select" #langSelect
          (change)="translateService.use(langSelect.value)"
        >
          <option
            *ngFor="let lang of translateService.getLangs()" [value]="lang"
            [selected]="lang === translateService.currentLang"
          >{{ lang }}</option>
        </select>
        <li class="nav-item d-flex" *ngIf="isAuthorized; else signIn">
          <button type="button" class="btn btn-link text-decoration-none text-danger nav-item" routerLink="/"
                  (click)="logout()"><i class="fa fa-sign-out mr-1"></i>&nbsp;{{ 'sign-out' | translate }}</button>
        </li>
        <ng-template #signIn>
          <button type="button" class="btn btn-link text-decoration-none text-success nav-item" routerLink="/login"><i
            class="fa fa-sign-in mr-1"></i>&nbsp;{{ 'sign-in' | translate }}</button>
        </ng-template>
      </ul>
    </div>
  </div>
</nav>
